package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WXEntApp;
import com.sa.ibiz.demo.demo.service.dto.WXEntAppSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WXEntApp] 服务对象接口
 */
public interface WXEntAppService extends IService<WXEntApp>{

		WXEntApp get(WXEntApp et);
	boolean update(WXEntApp et);
	boolean create(WXEntApp et);
	boolean checkKey(WXEntApp et);
	boolean remove(WXEntApp et);
	boolean getDraft(WXEntApp et);
		WXEntApp pubMenu(WXEntApp et);
    List<WXEntApp> listDefault(WXEntAppSearchFilter filter) ;
	Page<WXEntApp> searchDefault(WXEntAppSearchFilter filter);
	/**	 实体[WXEntApp] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }